<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>JS + CSS Clock</title>
</head>
<body>


    <div class="clock">
      <div class="clock-face">
        <div class="hand hour-hand"></div>
        <div class="hand min-hand"></div>
        <div class="hand second-hand"></div>
        <embed name="GoodEnough" src="John+Williams+Last+of+the+Mohicans+Theme.mp3" loop="true" hidden="true" autostart="true">
      </div>
    </div>


  <style>
    html {
      background: #018DED url(https://ih1.redbubble.net/image.469397342.2555/raf,750x1000,075,t,403c32:92341a482f.u1.jpg);
      background-size: cover;
      font-family: 'helvetica neue';
      text-align: center;
      font-size: 10px;
    }

    body {
      margin: 0;
      font-size: 2rem;
      display: flex;
      flex: 1;
      min-height: 100vh;
      align-items: center;
    }

    .clock {
      width: 30rem;
      height: 30rem;
      border: 20px solid white;
      border-radius: 50%;
      margin: 50px auto;
      position: relative;
      padding: 2rem;
      box-shadow:
        0 0 0 4px rgba(0,0,0,0.1),
        inset 0 0 0 3px #EFEFEF,
        inset 0 0 10px black,
        0 0 10px rgba(0,0,0,0.2);
    }

    .clock-face {
      position: relative;
      width: 100%;
      height: 100%;
      transform: translateY(-3px); /* account for the height of the clock hands */
    }

    .hand {
      width: 50%;
      height: 6px;
      background: black;
      position: absolute;
      top: 50%;
      transform-origin: 100%;
      transform: rotate(90deg);
      transition: all 0.05s;
      transition-timing-function: cubic-bezier(0.1,2.7,0.58,1);
    }

  </style>

  <script>
  const secondHand = document.querySelector('.second-Hand');
  const minsHand = document.querySelector('.min-Hand');
  const hourHand = document.querySelector('.hour-Hand');

  function setDate(){
  const now = new Date();

  const seconds = now.getSeconds();
  const secondsDegrees = ((seconds/60) * 360) + 90;
  secondHand.style.transform = `rotate(${secondsDegrees}deg)`;

  const mins = now.getMinutes();
  const minutesDegrees = ((mins/60) * 360) + 90;
  minsHand.style.transform = `rotate(${minutesDegrees}deg)`;

  const hours = now.getHours();
  const hoursDegrees = ((hours/12) * 360) + 90;
  hourHand.style.transform = `rotate(${hoursDegrees}deg)`;




}
setInterval(setDate,1000);

  </script>
</body>
</html>
